summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEdward Hervey <bilboed@bilboed.com>2015-04-09 15:20:57 +0200
committerEdward Hervey <bilboed@bilboed.com>2015-04-09 15:20:57 +0200
commit0be91e8796fe76b1fcf59fbd410a27da57937b80 (patch)
treef77faf5d0467c8e4f1dc785728532a35abcdbbfd
parent33f5ccb226d93e2ef1e4119a4f93cc5c303828b9 (diff)
ci-build: compile unit tests at the same time as the rest
This ensures we detect tests that fail to compile
-rwxr-xr-xci-build.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/ci-build.sh b/ci-build.sh
index 668801b..97a5740 100755
--- a/ci-build.sh
+++ b/ci-build.sh
@@ -207,6 +207,19 @@ build()
exit $ERROR_RETURN
fi
+ if test $1 != "orc"
+ then
+ echo "+ $1 : make build-checks"
+ logname=$LOGDIR/$1-build-checks.log
+ make build-checks V=1 > $logname 2>&1
+ if test $? -ne 0
+ then
+ echo "MAKE BUILD-CHECKS FAILURE"
+ cat $logname
+ exit $ERROR_RETURN
+ fi
+ fi
+
# if test "x$FLAVOR" == "xfull"; then
# echo "+ $1 : make install"
# logname=$LOGDIR/$1-make-install.log